using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMLineStageMap : APTEntityBaseMap<T_FM_LINE_STAGE>
    {
		public override void Configure(EntityTypeBuilder<T_FM_LINE_STAGE> builder)
		{
			base.Configure(builder);

			builder.HasOne(t => t.Nav_Workstage).WithMany().HasForeignKey(t => t.STAGE_ID);
		} 
    }
}
